Bug 1277286 - Package remmina for EPEL7
Package remmina for EPEL7
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-02 18:06 EST by Orion Poplawski
Modified: 2016-01-01 10:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-01 10:46:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-11-02 18:06:18 EST
Description of problem:

It would be nice to ship remmina for EPEL7.  However, deps are:

freerdp.x86_64                         1.0.2-5.el7_1.1
vte3-devel.x86_64                      0.34.6-3.el7  

So we may be stuck with a fairly old version.  Is this worth it?
Comment 1 Orion Poplawski 2015-11-02 18:47:43 EST
Looks like commit 361777dac866b6f46d06ace357d487c89b358539 may be the last of the 1.0.0 builds, which I think is what we're stuck with. 

Comment 2 Pavel Alexeev 2015-11-07 06:07:40 EST
Hi Orion.

Remmina is under heavy development, so it have no worth package 1.0 version. Only 1.2 is under development and maintained. Even 1.1 have many bugs and upstream authors have no time to fix separately.

Meantime, according to packagedb https://admin.fedoraproject.org/pkgdb/package/freerdp/ is not epel7 at all. So, maybe it should be requested first?

I'm not very interesting in remmina for epel7, but when (if) all deps will there, I do not argue built remmina too.

Do you willing use remmina in epel7 and help to do that?
Comment 3 Orion Poplawski 2015-11-07 18:06:24 EST
freerdp 1.0.2 is part of RHEL7 proper, so that's the version we're stuck with.  There was some discussion of upstream bundling freerdp and now with Fedora's relaxed bundling policies that may be a way forward.  Without that though I don't think it's worth putting in EPEL7.   Maybe I'll just do a COPR.
Comment 4 Pavel Alexeev 2016-01-01 10:46:37 EST
In ML we speak to bundling freerdp into guacomolle server. And Fedora move forward to new versions of Remmina and Freerdp for next versions. I hope it should also happen for new versions of EPEL. But for EPEL7 it seams impossible by our guidelines. Sorry.

Note You need to log in before you can comment on or make changes to this bug.